/*
This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org/>
*/
//============================================================================
// CFAG12864C Demonstration code
// ST7920 LCD Controller
// Atmel ATMega32 processor @ 16MHz
// WinAVR / AVR GCC + Atmel AVR Studio
// Written by Brent A. Crosby
// Modified by Max Roberg
// Crystalfontz America, Inc.
//============================================================================
#include <avr/pgmspace.h>
#include <avr/interrupt.h>

#include <util/delay.h>
#include "MMC_SD.h"
#include "utils.h"
#include "low_lcd.h"
#include "logo_screen.h"


#define LED1_OFF PORTD &= ~(1 << 1);
#define LED1_ON  PORTD |=  (1 << 1);
#define LED2_OFF PORTD &= ~(1 << 2);
#define LED2_ON  PORTD |=  (1 << 2);


int main(void)
{
	MMC_SD_Init();
	SPI_High();
	OSCCAL = 0xFF;	

	// Initialize the ports
	Initialize_GPIO();
    // Initialize timers, PWMs, and LCD
	Initialize_contrast_backlight_and_LCD();

	while(1)
	{
		InitializeLCD();
		UpdateLCD();
		for(int i=0;i<40;i++)
			_delay_us(100000);

		show_text();
		for(int i=0;i<40;i++)
			_delay_us(100000);

		show_chinese_text();
		for(int i=0;i<40;i++)
			_delay_us(100000);

	}
	return 0;
}

